/* dupsd  (Dumb UPS monitor Daemon)
 * Copyright (C) 1998 Malinin A. G.
 *
 * This  program  is free software;  you can redistribute it  and/or
 * modify  it  under  the  terms of the  GNU  General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed  in the hope that  it will be useful,
 * but  WITHOUT ANY WARRANTY;   without even the implied warranty of
 * MERCHANTABILITY  or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along  with  this  program;  if not,  write to the  Free Software
 * Foundation,  Inc.,   59  Temple  Place,  Suite  330,  Boston,  MA
 * 02111-1307  USA.

 * Author's E-mail address: mag@h26.216.elnet.msk.ru.
 */

/* msg.h */


#define MAX_STR_LEN 256

/* program name */
extern char prg[MAX_STR_LEN];

/*
  writes message "msg" with comment "descr" into system log;
  message level depends on boolean parameter "important":
  - zero: LOG_DEBUG;
  - non-zero: LOG_INFO
*/
void
log_msg(const char *descr, const char *msg, int important);
